Page MenuHomePhabricator

Upgrade Netbox to 2.10
Open, LowPublic

Description

2.10 is not out yet, but https://github.com/netbox-community/netbox/pull/5212 might solve all my cables issues.

To be tested and upgraded once out.

Event Timeline

ayounsi triaged this task as Medium priority.Oct 8 2020, 8:04 PM
ayounsi created this task.
crusnov renamed this task from Upgrad Netbox to 2.10 to Upgrade Netbox to 2.10.Jan 8 2021, 7:52 PM
crusnov claimed this task.
crusnov lowered the priority of this task from Medium to Low.
crusnov moved this task from Backlog to Discussion / Design / Consensus Making on the netbox board.

I have pushed a new version of the deploy repository with 2.10. Reading the changelog things that will affect our integrations:

  • major change to customfields, so anything which interacts with those may need to be changed [they are changed to a json blob with the object they add to]
  • there are a number of changes to the API but nothing that immediately stands out, I'll go through them when I go through the tools for testing.

I'll be deploying the 2.10 to -next this week.

Mentioned in SAL (#wikimedia-operations) [2021-01-28T17:35:23Z] <crusnov@deploy1001> Started deploy [netbox/deploy@52d6fb9]: Test deploy of 2.10.4 to netbox-next T265084

Mentioned in SAL (#wikimedia-operations) [2021-01-28T17:37:15Z] <crusnov@deploy1001> Started deploy [netbox/deploy@52d6fb9]: Test deploy of 2.10.4 to netbox-next T265084

Mentioned in SAL (#wikimedia-operations) [2021-01-28T17:38:33Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@52d6fb9]: Test deploy of 2.10.4 to netbox-next T265084 (duration: 01m 18s)

I have deployed 2.10.4 to -next. It worked fine apparently. I'll be doing any necessary porting work but initial tests don't look like there's much. Probably the dump script and perhaps external things like cookbooks need to be poked at (as discussed above).

Of the reports here are some test results:

  • cables works
  • coherence (errors trying to import CustomFields)
  • accounting (errors trying to manipulate custom fields)
  • rack (errors trying to import CustomFields)
  • managementconsole (errors trying to access connection_status on ConsolePort)
  • puppetdb (both work)

Okay so it appears to be some weirdness in reproducability for manage.py trace_paths - I was not able to fix it by running this (and rerunning it caused a traceback), but dumping and reloading the database, migrating and rerunning manage.py trace_paths seems to have fixed it. We'll have to make sure this is part of teh production upgrade process so it doesn't get broken in the same way. @ayounsi if you could look around the cables and see if there are any other issues? Thanks.

Also notable is that now that I've done this cleanly, manage.py trace_paths reruns without error. It may be attempting to view the trace without running this does something which breaks future runs or similar. I'll add it to the upgrade process.

Change 660867 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/netbox-deploy@master] Add execution of trace_paths to the post-install setup

https://gerrit.wikimedia.org/r/660867

Change 660867 merged by CRusnov:
[operations/software/netbox-deploy@master] Add execution of trace_paths to the post-install setup

https://gerrit.wikimedia.org/r/660867

Change 665056 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] Netbox 2.10 compatibility

https://gerrit.wikimedia.org/r/665056

I have tested DNS generation and it appears to work as expected. THere are also patches out for homer and customscripts and reports.

Change 665410 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/netbox-extras@master] customscripts: Make minor changes to port to 2.10

https://gerrit.wikimedia.org/r/665410

Change 665056 merged by CRusnov:
[operations/homer/public@master] Netbox 2.10 compatibility

https://gerrit.wikimedia.org/r/665056

Change 665410 merged by CRusnov:
[operations/software/netbox-extras@master] customscripts: Make minor changes to port to 2.10

https://gerrit.wikimedia.org/r/665410

Mentioned in SAL (#wikimedia-operations) [2021-02-23T22:22:25Z] <crusnov@deploy1001> Started deploy [netbox/deploy@dabbf5e]: Deploying Netbox 2.10.4-wmf to production T265084

Mentioned in SAL (#wikimedia-operations) [2021-02-23T22:28:37Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@dabbf5e]: Deploying Netbox 2.10.4-wmf to production T265084 (duration: 06m 11s)

Change 666482 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/netbox-extras@master] reports/management: Fix for 2.10

https://gerrit.wikimedia.org/r/666482

Change 666482 merged by CRusnov:
[operations/software/netbox-extras@master] reports/management: Fix for 2.10

https://gerrit.wikimedia.org/r/666482

Mentioned in SAL (#wikimedia-operations) [2021-02-23T22:52:46Z] <chaomodus> Netbox 2.10 upgrade complete T265084

Mentioned in SAL (#wikimedia-operations) [2021-02-24T09:06:09Z] <volans> run "sudo find . -user root -exec chown netbox. '{}' \;" in /srv/deployment/netbox/deploy-cache/revs on netbox* hosts to prevent scap failures on cleanup - T265084